---
title: <missing-glyph>
slug: Web/SVG/Element/missing-glyph
tags:
  - Deprecated
  - Element
  - NeedsExample
  - SVG
  - SVG Container
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>&lt;missing-glyph&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element's content is rendered, if for a given character the font doesn't define an appropriate {{SVGElement("glyph")}}.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("d")}}</li>
 <li>{{SVGAttr("horiz-adv-x")}}</li>
 <li>{{SVGAttr("vert-origin-x")}}</li>
 <li>{{SVGAttr("vert-origin-y")}}</li>
 <li>{{SVGAttr("vert-adv-y")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGMissingGlyphElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#MissingGlyphElement", "&lt;missing-glyph&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.missing-glyph")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("font")}}</li>
 <li>{{SVGElement("glyph")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/SVG_fonts">SVG tutorial: SVG fonts</a></li>
</ul>
